-- F1 KingAir B200
-- by Tony Shade	
-- module version 1.1
-- August 2015

-- knob sounds
-- ipc.control (65823, 1) -- flip switch
-- ipc.control (65823, 4) -- ap keys
-- ipc.control (65823, 5) -- knob sound
-- ## System functions ####

function InitVars ()

-- uncomment to disable display
AutopilotDisplayBlocked ()

end


-- ## OVERHEAD PANEL ###############



function B200_G1000_Lights_on ()
ipc.writeLvar("B200_rotary_AVILITE_knob" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_G1000_Lights_Off()
ipc.writeLvar("B200_rotary_AVILIte_knob",0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound

end

function B200_Instrument_Lights_on ()
ipc.writeLvar("B200_rotary_INSLITE_knob" , 1 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound

end

function B200_Instrument_Lights_Off ()
ipc.writeLvar("B200_rotary_INSLITE_knob", 0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound

end

function B200_Side_Lower_Lights_on ()
ipc.writeLvar("B200_rotary_PNLLITE_knob",1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound

end

function B200_Side_Lower_Lights_Off ()
ipc.writeLvar("B200_rotary_PNLLITE_knob" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Center_Console_Lights_on()
ipc.writeLvar("B200_rotary_PEDLITE_knob" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Center_Console_Lights_Off()
ipc.writeLvar("B200_rotary_PEDLITE_knob" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Overhead_Panel_Lights_on()
ipc.writeLvar("B200_rotary_OVDLITE_knob" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Overhead_Panel_Lights_off()
ipc.writeLvar("B200_rotary_OVDLITE_knob" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Overhead_Dome_Lights_on()
ipc.control (66056)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Overhead_Dome_Lights_Off()
ipc.control (66057)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Panel_Flood_Lights_on()
ipc.writeLvar("B200_rotary_PFLLITE_knob" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Panel_Flood_Lights_Off()
ipc.writeLvar("B200_rotary_PFLLITE_knob" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Windshield_Wiper_Switch_Slow  ()

end

function B200_Windshield_Wiper_Switch_Fast ()


ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Windshield_Wiper_Switch_Off ()

ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Oxygen_Auto_Open ()
ipc.writeLvar("B200OxygenAuto" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Oxygen_Auto_Closed ()
ipc.writeLvar("B200OxygenAuto" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Oxygen_Manual_Open ()
ipc.writeLvar("B200OxygenMan" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Oxygen_Manual_Off ()
ipc.writeLvar("B200OxygenMan" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end



-- ## FUEL PANEL ###############

function B200_Left_Fuel_Shutoff_on()
ipc.writeLvar("B200LFuelShutoff" ,0 )
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Fuel_Shutoff_Off()
ipc.writeLvar("B200LFuelShutoff" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Fuel_Shutoff_on()
ipc.writeLvar("B200RFuelShutoff" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Fuel_Shutoff_off()
ipc.writeLvar("B200RFuelShutoff" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Aux_Transfer_auto ()
ipc.writeLvar("B200LAuxTransfer" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Aux_Transfer_Override ()
ipc.writeLvar("B200LAuxTransfer" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Standby_Pump_off ()
ipc.writeLvar("B200LStdbyPump" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Standby_Pump_on()
ipc.writeLvar("B200LStdbyPump" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Crosfeed_Flow_Left_Engine()
ipc.writeLvar("B200CROSSFEED" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Crosfeed_Flow_Off ()
ipc.writeLvar("B200CROSSFEED" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Crosfeed_Flow_Right_Engine ()
ipc.writeLvar("B200CROSSFEED" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Level_Main_Tanks ()
ipc.writeLvar("F1B200_FUEL_MAINAUX" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Level_Aux_Tanks()
ipc.writeLvar("F1B200_FUEL_MAINAUX" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Aux_Transfer_Auto ()
ipc.writeLvar("B200RAuxTransfer" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Aux_Transfer_Override ()
ipc.writeLvar("B200RAuxTransfer" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Standby_Pump_on ()
ipc.writeLvar("B200RStdbyPump" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Standby_Pump_off()
ipc.writeLvar("B200RStdbyPump" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

-- ## PILOT SWITCH PANEL ###############

function B200_Mic_Oxygen_Pilot_Normal ()
ipc.writeLvar("B200_micoxypilot" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Mic_Oxygen_Pilot_Mask ()
ipc.writeLvar("B200_micoxypilot" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Avionics_Master ()
ipc.control (66293)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Master_Battery ()
ipc.control (66241)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Generator_on ()
ipc.writeLvar("B200LEFTGEN" ,  1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Generator_reset ()
ipc.writeLvar("B200LEFTGEN" ,2 )
ipc.sleep(600)
ipc.writeLvar("B200LEFTGEN" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Generator_off ()
ipc.writeLvar("B200LEFTGEN" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Generator_on()
ipc.writeLvar("B200RIGHTGEN" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Generator_reset ()
ipc.writeLvar("B200RIGHTGEN" ,2)
ipc.sleep(600)
ipc.writeLvar("B200RIGHTGEN" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Generator_off()
ipc.writeLvar("B200RIGHTGEN" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Ignition_Start ()
ipc.control(66300)
ipc.writeLvar("B200LSTARTER" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Ignition_Off ()
ipc.control(66300)
ipc.writeLvar("B200LSTARTER" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Ignition_Start ()
ipc.control(66301)
ipc.writeLvar("B200RSTARTER" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Ignition_Off ()
ipc.control(66301)
ipc.writeLvar("B200RSTARTER" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Auto_Ignition_Arm ()
ipc.writeLvar("B200LAutoIgn" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Auto_Ignition_Off ()
ipc.writeLvar("B200LAutoIgn" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Auto_Ignition_Arm ()
ipc.writeLvar("B200RAutoIgn" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Auto_Ignition_Off ()
ipc.writeLvar("B200RAutoIgn" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Anti_Ice_On ()
ipc.control (66484)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Left_Anti_Ice_Off ()
ipc.control (66484)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Anti_Ice_On ()
ipc.control (66485)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Right_Anti_Ice_Off ()
ipc.control (66485)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Engine_AutoFeather_Arm ()
ipc.writeLvar("B200AUTOFEATHER" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Engine_AutoFeather_Off ()
ipc.writeLvar("B200AUTOFEATHER" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Engine_AutoFeather_Test ()
ipc.writeLvar("B200AUTOFEATHER" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Prop_gov_Test ()
ipc.writeLvar("B200propgov_sw" ,1 )
ipc.sleep (1800)
ipc.writeLvar("B200propgov_sw" ,0 )
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Air_open ()
ipc.writeLvar("B200PilotAir" , 1 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Air_closed ()
ipc.writeLvar("B200PilotAir" , 0 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Defrost_Air_open ()
ipc.writeLvar("B200DefrostAir" , 1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Defrost_Air_closed ()
ipc.writeLvar("B200DefrostAir" , 0 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Vane_Left_open ()
ipc.writeLvar("B200_left_ice" , 1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Vane_Left_closed ()
ipc.writeLvar("B200_left_ice" , 0 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Vane_Right_open ()
ipc.writeLvar("B200_right_ice" , 1 )
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Vane_Right_closed ()
ipc.writeLvar("B200_right_ice" , 0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Landing_Lights_on ()
ipc.control (66059)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Landing_Lights_off ()
ipc.control (66060)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Taxi_Lights_on ()
ipc.control (66240)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Taxi_Lights_off ()
ipc.control (66240)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Lights_on ()
ipc.writeLvar("B200IceLight" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Lights_off ()
ipc.writeLvar("B200IceLight" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Navigation_Lights_on ()
ipc.control (66379)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Navigation_Lights_off  ()
ipc.control (66379)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Recognition_Lights_on ()
ipc.control (66377)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Recognition_Lights_off ()
ipc.control (66377)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Pilot_Normal ()
ipc.writeLvar("B200windshieldice_left_sw" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Pilot_off ()
ipc.writeLvar("B200windshieldice_left_sw" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Pilot_High ()
ipc.writeLvar("B200windshieldice_left_sw" ,  0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Copilot_Normal ()
ipc.writeLvar("B200windshieldice_right_sw" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Copilot_off ()
ipc.writeLvar("B200windshieldice_right_sw" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Wshield_Anti_Ice_Copilot_High()
ipc.writeLvar("B200windshieldice_right_sw" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Prop_Amps_auto ()
ipc.writeLvar("B200prop_amps_sw" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Ice_Prop_Amps_off ()
ipc.writeLvar("B200prop_amps_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Prop_Heat_Manual_on()
ipc.writeLvar("B200prop_amps_innerouter_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Prop_Heat_Manual_off()
ipc.writeLvar("B200prop_amps_innerouter_sw" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Vent_Deice_Left_on()
ipc.writeLvar("B200fuelvent_left_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Vent_Deice_Left_off()
ipc.writeLvar("B200fuelvent_left_sw" ,0 )
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Vent_Deice_Right_on()
ipc.writeLvar("B200fuelvent_right_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Fuel_Vent_Deice_Right_off()
ipc.writeLvar("B200fuelvent_right_sw" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Brake_deice_on()
ipc.writeLvar("B200brakeice_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Brake_deice_off()
ipc.writeLvar("B200brakeice_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Control_Surface_Deice_Single()
ipc.writeLvar("B200surfacedeice_sw" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Control_Surface_Deice_off()
ipc.writeLvar("B200surfacedeice_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Control_Surface_Deice_Manual()
ipc.writeLvar("B200surfacedeice_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Stall_Warning_on()
ipc.writeLvar("B200stallwarn_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Stall_Warning_off()
ipc.writeLvar("B200stallwarn_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Heat_LandR_on()
ipc.control (66072)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Pilot_Heat_LandR_off()
ipc.control (66073)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Beacon_Lights_on()
ipc.control(66239)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Beacon_Lights_off()
ipc.control(66239)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Strobe_Lights_on ()
ipc.control(66052)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Strobe_Lights_off()
ipc.control(66053)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Logo_Lights_on()
ipc.writeLvar("B200LogoLight" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Logo_lights_off()
ipc.writeLvar("B200LogoLight" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Gearhorn_silence()
ipc.control(65823,327)
ipc.sleep(100)
ipc.control(65823,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Hyd_Fluid_sensor_test()
ipc.writeLvar("B200HydFluidSensorSwitch" ,1)
ipc.sleep(600)
ipc.writeLvar("B200HydFluidSensorSwitch" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Yoke_Hide()
ipc.writeLvar("F1C182T_lyoke_hide" ,  1)
end


function B200_ParkingBrake_toggle()
ipc.control (65752)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Prop_Sync_on()
ipc.control(66287)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Prop_Sync_off()
ipc.control(66287)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

-- ## COPILOT SWITCH PANEL ###############

function B200_CoffeeFurnace_on()
ipc.writeLvar("B200coffeefurn_sw" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CoffeeFurnace_coffee_off()
ipc.writeLvar("B200coffeefurn_sw" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CoffeeFurnace_off()
ipc.writeLvar("B200coffeefurn_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CabinLights_dim()
ipc.writeLvar("B200startbright_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CabinLights_bright ()
ipc.writeLvar("B200startbright_sw" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CabinLights_off()
ipc.writeLvar("B200startbright_sw", 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Nosmoking_fsb_Belts_on()
ipc.writeLvar("B200nosmokingfsb_sw" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Nosmoking_fsb_off()
ipc.writeLvar("B200nosmokingfsb_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Nosmoking_fsb_on()
ipc.writeLvar("B200nosmokingfsb_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Env_Manual_temp_on()
ipc.writeLvar("B200manualtemp_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Env_Manual_temp_off()
ipc.writeLvar("B200manualtemp_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Env_Ventblower_on()
ipc.writeLvar("B200ventblower_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Env_Ventblower_off()
ipc.writeLvar("B200ventblower_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_LeftEnvir_off()
ipc.writeLvar("B200LBleedSwitch" , 1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_Left_open()
ipc.writeLvar("B200LBleedSwitch" , 0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_Left_off()
ipc.writeLvar("B200LBleedSwitch" , 2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_RightEnvir_off()
ipc.writeLvar("B200RBleedSwitch" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_Right_open()
ipc.writeLvar("B200RBleedSwitch" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_BleedAir_Right_off()
ipc.writeLvar("B200RBleedSwitch" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Stallwarningtest_on()
ipc.writeLvar("B200stallwarntest_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Stallwarningtest_off()
ipc.writeLvar("B200stalwarntest_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Aftblower_on()
ipc.writeLvar("B200aftblower_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Aftblower_off()
ipc.writeLvar("B200aftblower_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_ElecHeat_on()
ipc.writeLvar("B200elecricalheat_sw" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_ElecHeat_off()
ipc.writeLvar("B200elecricalheat_sw" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Cabinair_on()
ipc.writeLvar("B200CabinAir" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Cabinair_off()
ipc.writeLvar("B200CabinAir" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CoPilot_Air_on()
ipc.writeLvar("B200CopilotAir" ,1)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CoPilot_Air_off()
ipc.writeLvar("B200CopilotAir" ,0)
ipc.control (65823, 5) -- knob sound
ipc.control (65823, 0) -- knob sound
end

-- ## MASTER CAUTION ###############
function B200_MasterWarning_reset()
ipc.writeLvar("F1B200_MWC" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_MasterCaution_reset()
ipc.writeLvar("F1B200_MCC" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

-- ## CENTER CONSOLE ###############

function B200_CabinPressureDump()
ipc.writeLvar("B200PRESSDUMP" ,2)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CabinPressure_Normal ()
ipc.writeLvar("B200PRESSDUMP",1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_CabinPressure_Test()
ipc.writeLvar("B200PRESSDUMP" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Rudder_Boost_on()
ipc.writeLvar("B200RudderBoost" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Rudder_Boost_off()
ipc.writeLvar("B200RudderBoost" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Elec_Elev_Trim_on()
ipc.writeLvar("B200_elevtrim_off" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

function B200_Elec_Elev_Trim_off()
ipc.writeLvar("B200_elevtrim_off" ,0)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end

-- ## CABIN ALTITUDE PRESSURE ###############


function B200_Cabin_Pressure_increase()

ipc.writeLvar("PressAltIncLUA" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end


function B200_Cabin_Pressure_decrease()

ipc.writeLvar("PressAltDecLUA" ,1)
ipc.control (65823, 1) -- knob sound
ipc.control (65823, 0) -- knob sound
end






































































































































































































































